연결된 ID 공급자 없음

Moses Skoda엔지니어1분 소요

이 문제가 발생하면 API는 404 Not Found 응답을 반환합니다. type 값은 https://lingo.dev/docs/api/errors/sso-connection-not-found입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.

조직 <organizationId>에 연결된 ID 공급자가 없습니다. 먼저 해당 공급자의 SAML 메타데이터 URL로 연결하세요.

필드#

응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 자체 문구로 대체해 표시할 수 있습니다.

필드유형
organizationIdstring

예시#

json
{
  "detail": "No connected identity provider at organization <organizationId>. Connect one with its SAML metadata URL first.",
  "organizationId": "<organizationId>",
  "type": "https://lingo.dev/docs/api/errors/sso-connection-not-found",
  "status": 404,
  "title": "No identity provider connected"
}

이 오류를 반환하는 엔드포인트#

  • PATCH /v2/organizations/{orgId}/sso
  • POST /v2/organizations/{orgId}/service-api-keys/scim
  • POST /v2/organizations/{orgId}/sso/disconnect